UNIT Globtype;

INTERFACE

CONST
     MaxPts             = 2300;
     MaxDist            = 100;
     MaxClasses         = 51;
     MaxIntervals       = 51;
     ContNo             = 5;
     InputScale         : Single = 100.0;
     ContVect           : Array[1..ContNo] OF Single =
                                (0.95,0.90,0.75,0.50,0.20);
     Multiple           : Boolean = TRUE;
TYPE
    Arr            = Array[1..MaxPts] OF Single;
    ArrPtr         = ^Arr;
    WordArr        = Array[0..MaxDist] OF Word;
    IntegerArr     = Array[1..MaxPts] OF Integer;
    LongIntegerArr = Array[1..MaxPts] OF LongInt;
    BooleanArr     = Array[1..MaxPts] OF Boolean;
    String8Arr     = Array[1..MaxPts] OF String[8];
    DataIndex      = Array[0..100] OF Word;
    NameArr        = Array[1..100] OF String[3];
    RowArr         = Array[0..100] OF Single;
    AKMatrix       = Array[0..100] OF RowArr;
    AKArr          = Arr;
    PolyArr        = Array[1..100] OF Word;
    ShortPolyArr   = Array[1..100] OF Byte;
    AkArrPtr       = ArrPtr;
    Matrix2        = Array[1..MaxClasses,1..MaxIntervals] OF Single;
    AKMatPtr       =  ^AkMatrix;
    MatPtr2        =  ^Matrix2;
    PolyType       = RECORD
                           NPoly : Word;
                           Px,Py : AkArr;
                           Ns,Ne : PolyArr;
                           PType : ShortPolyArr;
                           Area  : Single;
                     END;
    PolyPtr          = ^PolyType;
VAR
      BirdNameSt       : NameArr;
      GMean,X0,Y0,Cell : Single;
      Nx,Ny            : Word;

{IntMin and IntMax return the min(a,b) and Max(a,b) respectively.}
{they replace Max0,Min0 below}

FUNCTION IntMin(a,b : Integer):Integer;

INLINE
($58                     {POP     AX}
/$59                     {POP     CX}
/$3B/$C1                 {CMP     AX,CX}
/$7C/$02                 {JL      0179}
/$8B/$C1                 {MOV     AX,CX}
);

FUNCTION IntMax(a,b : Integer):Integer;

INLINE
($58                     {POP     AX}
/$59                     {POP     CX}
/$3B/$C1                 {CMP     AX,CX}
/$7F/$02                 {JG      0181}
/$8B/$C1                 {MOV     AX,CX}
);

IMPLEMENTATION
(*
Function IntMin(a,b : Integer):Integer;
         begin
              if a < b then
                 IntMin := a
              else
                  IntMin := b;
end;
Function IntMax(a,b : Integer):Integer;
         begin
              if a > b then
                 IntMax := a
              else
                  IntMax := b;
end;
*)
BEGIN
END.
